Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Coord Class Reference

`#include <Coord.h>`

Inherits tlp::VectorCast< float, 3, tlp::Coord >.

Inheritance diagram for tlp::Coord:

[legend]
Collaboration diagram for tlp::Coord:

[legend]
List of all members.

## Detailed Description

Class for coordinates in 3D.

## Public Member Functions

- Coord (const tlp::Vector< float, 3 > &v)
- Coord (const float xx=0, const float yy=0, const float zz=0)
- void set (const float xx=0.f, const float yy=0.f, const float zz=0.f)
- void set (const Coord &c)
- void setX (float xx)
- void setY (float yy)
- void setZ (float zz)
- float getX () const
- float getY () const
- float getZ () const
- void get (float &xx, float &yy, float &zz) const

## Constructor & Destructor Documentation

tlp::Coord::Coord | ( | const tlp::Vector< float, 3 > & | v | ) | `[inline, explicit]`

tlp::Coord::Coord | ( | const float | xx = `0`,
|  | const float | yy = `0`,
|  | const float | zz = `0`
| ) | `[inline, explicit]`

## Member Function Documentation

void tlp::Coord::get | ( | float & | xx,
|  | float & | yy,
|  | float & | zz
| ) | const`[inline]`

float tlp::Coord::getX | ( |  | ) | const`[inline]`

float tlp::Coord::getY | ( |  | ) | const`[inline]`

float tlp::Coord::getZ | ( |  | ) | const`[inline]`

void tlp::Coord::set | ( | const Coord & | c | ) | `[inline]`

void tlp::Coord::set | ( | const float | xx = `0.f`,
|  | const float | yy = `0.f`,
|  | const float | zz = `0.f`
| ) | `[inline]`

void tlp::Coord::setX | ( | float | xx | ) | `[inline]`

void tlp::Coord::setY | ( | float | yy | ) | `[inline]`

void tlp::Coord::setZ | ( | float | zz | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010